<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<TargetFramework>net8.0</TargetFramework>
		<LangVersion>default</LangVersion>
		<Nullable>enable</Nullable>
		<ImplicitUsings>enable</ImplicitUsings>
		<GenerateDocumentationFile>True</GenerateDocumentationFile>
	</PropertyGroup>

	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
		<OutputPath>..\bin\</OutputPath>
		<DocumentationFile>.\IRaCIS.Core.Application.xml</DocumentationFile>
		<NoWarn>1701;1702;1591</NoWarn>
	</PropertyGroup>

	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
	  <NoWarn>1701;1702;1591;1587</NoWarn>
	</PropertyGroup>


	<ItemGroup>
		<Compile Remove="WebAppConfig.cs" />
	</ItemGroup>


	<ItemGroup>
		<None Remove="IRaCIS.Core.Application.xml" />
		<None Remove="Resources\en-US.json" />
		<None Remove="Resources\zh_ch.json" />
		<None Remove="Service\Allocation\TaskConsistentRuleService.cs~RF1603d47.TMP" />
		<None Remove="Service\Reading\ReadingImageTask\ReadingImageTaskService.cs~RF2f9323.TMP" />
		<None Remove="Service\Reading\ReadingImageTask\ReadingJudgeTaskService.cs~RF198afd23.TMP" />
	</ItemGroup>


	<ItemGroup>
	  <Content Include="Resources\en-US.json">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	    <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
	    <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
	  </Content>
	</ItemGroup>

	<ItemGroup>
		<PackageReference Include="AlibabaCloud.SDK.Sts20150401" Version="1.1.4" />
		<PackageReference Include="AWSSDK.SecurityToken" Version="3.7.400.16" />
		<PackageReference Include="Aliyun.OSS.SDK.NetCore" Version="2.14.1" />
		<PackageReference Include="AWSSDK.S3" Version="3.7.402.7" />
		<PackageReference Include="DocX" Version="3.0.1" />	
		<PackageReference Include="FreeSpire.Doc" Version="12.2.0" />
		<PackageReference Include="Hangfire.Core" Version="1.8.14" />
		<PackageReference Include="ExcelDataReader" Version="3.7.0" />
		<PackageReference Include="ExcelDataReader.DataSet" Version="3.7.0" />
		<PackageReference Include="DistributedLock.Redis" Version="1.0.3" />
		<PackageReference Include="DistributedLock.SqlServer" Version="1.0.5" />
		<PackageReference Include="fo-dicom" Version="5.1.3" />
		<PackageReference Include="fo-dicom.Imaging.ImageSharp" Version="5.1.3" />
		<PackageReference Include="fo-dicom.Codecs" Version="5.14.5" />
		<PackageReference Include="IP2Region.Net" Version="2.0.2" />
		<PackageReference Include="MailKit" Version="4.7.1.1" />
		<PackageReference Include="MimeKit" Version="4.7.1" />
		<PackageReference Include="MiniExcel" Version="1.34.1" />
		<PackageReference Include="Minio" Version="6.0.3" />
		<PackageReference Include="MiniWord" Version="0.8.0" />
		<PackageReference Include="My.Extensions.Localization.Json" Version="3.3.0">
		  <TreatAsUsed>true</TreatAsUsed>
		</PackageReference>
		<PackageReference Include="NPOI" Version="2.7.1" />
		<PackageReference Include="Panda.DynamicWebApi" Version="1.2.2" />
		<PackageReference Include="RestSharp" Version="112.0.0" />
		<PackageReference Include="SixLabors.ImageSharp" Version="3.1.5" />
		<PackageReference Include="Swashbuckle.AspNetCore.Filters" Version="8.0.2" />
		<PackageReference Include="ZiggyCreatures.FusionCache" Version="1.3.0" />
	</ItemGroup>

	<ItemGroup>
		<ProjectReference Include="..\IRaCIS.Core.Infra.EFCore\IRaCIS.Core.Infra.EFCore.csproj" />
	</ItemGroup>

	<ItemGroup>
	  <None Update="Resources\ip2region.xdb">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </None>
	</ItemGroup>

	<ItemGroup>
	  <Folder Include="Triggers\TempAbandon\" />
	</ItemGroup>

</Project>
